Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jelly.tags.core
Class GetStaticTag

    java.lang.Object
      org.apache.commons.jelly.TagSupport
          org.apache.commons.jelly.tags.core.GetStaticTag

All Implemented Interfaces:
  Tag

    public class GetStaticTag

extends TagSupport

A tag which can retrieve the value of a static field of a given class. The following attributes are required:

- var - The variable to which to assign the resulting value.
- field - The name of the static field to retrieve.
- className - The name of the class containing the static field.

Example usage:

     <j:getStatic var="closeOperation" className="javax.swing.JFrame"
                  field="EXIT_ON_CLOSE"/>

Version:
  $Revision: 155420 $

Field Summary

Fields inherited from class org.apache.commons.jelly.TagSupport
`body, context, hasTrimmed, parent, shouldTrim`

Constructor Summary
`GetStaticTag()`

Method Summary
`void` | `doTag(XMLOutput output)` Evaluates this tag after all the tags properties have been initialized.
`void` | `setClassName(java.lang.String className)` Sets the fully qualified name of the class containing the static field.
`void` | `setField(java.lang.String field)` Sets the name of the field to retrieve.
`void` | `setVar(java.lang.String var)` Sets the name of the variable exported by this tag.

Methods inherited from class org.apache.commons.jelly.TagSupport
`findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, getBody, getBodyText, getBodyText, getContext, getParent, invokeBody, isEscapeText, isTrim, setBody, setContext, setEscapeText, setParent, setTrim, trimBody`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GetStaticTag

    public GetStaticTag()

Method Detail

### setVar

    public void setVar(java.lang.String var)

  Sets the name of the variable exported by this tag.

  Parameters:
    `var` - The variable name.

### setField

    public void setField(java.lang.String field)

  Sets the name of the field to retrieve.

  Parameters:
    `method` - The method name

### setClassName

    public void setClassName(java.lang.String className)

  Sets the fully qualified name of the class containing the static field.

  Parameters:
    `className` - The name of the class.

### doTag

    public void doTag(XMLOutput output)
               throws JellyTagException

  Description copied from interface: `Tag`
  Evaluates this tag after all the tags properties have been initialized.

  Throws:
    `JellyTagException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2005 Apache Software Foundation. All Rights Reserved.